<?xml version="1.0" encoding="UTF-8"?>
<domain-models xmlns="http://axelor.com/xml/ns/domain-models"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://axelor.com/xml/ns/domain-models http://axelor.com/xml/ns/domain-models/domain-models_5.2.xsd">

  <module name="stock" package="com.axelor.apps.stock.db"/>

  <entity name="InternalTrackingNumber" lang="java">

	<many-to-one name="product" ref="com.axelor.apps.base.db.Product" title="Product"/>
	<many-to-one name="trackingNumber" ref="com.axelor.apps.stock.db.TrackingNumber" title="trackingNumber"/>
	<date name="fabricationDate" title="Fabrication date"/>
	<date name="warrantyExpirationDate" title="Warranty expiration date" readonly="true"/>
	<date name="perishableExpirationDate" title="Perishable expiration date" readonly="true"/>
	<string name="trackingNumberSeq" namecolumn="true" title="Tracking Nbr." required="true"/>
	<decimal name="counter" title="Counter"/>
	<date name="receptionDate" title="Reception date" />
	<decimal name="physicalQty" title="PhysicalQty"/>
	<integer name="conformitySelect" title="Conformity" selection="stock.move.line.conformity.select"/>

	<finder-method name="findBySeq" using="trackingNumberSeq"/>
	
	<track>
		<field name="perishableExpirationDate"/>
		<field name="product"/>
		<field name="trackingNumberSeq" />
	</track>

  </entity>

</domain-models>
